org.icefaces.ace.component.tree

## Class TreeTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.tree.TreeTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class TreeTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setExpansion(javax.el.ValueExpression expansion)`
    `void` | `setExpansionMode(javax.el.ValueExpression expansionMode)`
    `void` | `setFirst(javax.el.ValueExpression first)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setKeyConverter(javax.el.ValueExpression keyConverter)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setReordering(javax.el.ValueExpression reordering)`
    `void` | `setRowIndex(javax.el.ValueExpression rowIndex)`
    `void` | `setRows(javax.el.ValueExpression rows)`
    `void` | `setSelection(javax.el.ValueExpression selection)`
    `void` | `setSelectionMode(javax.el.ValueExpression selectionMode)`
    `void` | `setSelectMultiple(javax.el.ValueExpression selectMultiple)`
    `void` | `setStateCreationCallback(javax.el.ValueExpression stateCreationCallback)`
    `void` | `setStateMap(javax.el.ValueExpression stateMap)`
    `void` | `setStateVar(javax.el.ValueExpression stateVar)`
    `void` | `setType(javax.el.ValueExpression type)`
    `void` | `setValue(javax.el.ValueExpression value)`
    `void` | `setVar(javax.el.ValueExpression var)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### TreeTag

          public TreeTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setExpansion

          public void setExpansion(javax.el.ValueExpression expansion)

    - #### setExpansionMode

          public void setExpansionMode(javax.el.ValueExpression expansionMode)

    - #### setFirst

          public void setFirst(javax.el.ValueExpression first)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setKeyConverter

          public void setKeyConverter(javax.el.ValueExpression keyConverter)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setReordering

          public void setReordering(javax.el.ValueExpression reordering)

    - #### setRowIndex

          public void setRowIndex(javax.el.ValueExpression rowIndex)

    - #### setRows

          public void setRows(javax.el.ValueExpression rows)

    - #### setSelectMultiple

          public void setSelectMultiple(javax.el.ValueExpression selectMultiple)

    - #### setSelection

          public void setSelection(javax.el.ValueExpression selection)

    - #### setSelectionMode

          public void setSelectionMode(javax.el.ValueExpression selectionMode)

    - #### setStateCreationCallback

          public void setStateCreationCallback(javax.el.ValueExpression stateCreationCallback)

    - #### setStateMap

          public void setStateMap(javax.el.ValueExpression stateMap)

    - #### setStateVar

          public void setStateVar(javax.el.ValueExpression stateVar)

    - #### setType

          public void setType(javax.el.ValueExpression type)

    - #### setValue

          public void setValue(javax.el.ValueExpression value)

    - #### setVar

          public void setVar(javax.el.ValueExpression var)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.